.list-view {
  margin: 0 0 1em 0;
  position: relative; /* for absolute list-control */
}

.list-view h3 {
  padding: 0.6rem;
  margin: 0;

  color: var(--sidebar-text-color);
  text-shadow: 0px 1px 2px black;
}

.list-view .list-view-loading {
  padding: 0.6rem;
  color: var(--sidebar-text-color-secondary);
  font-style: italic;
}
.list-view .list-view-error {
  padding: 0.6rem;
  color: #CC0000;
  font-style: italic;
}

.list-view ul {
  list-style-type: none;
  padding: 0;
  margin: 0;

  color: white;
}

.list-view li {
  padding: 0;

  border-bottom: 1px solid #444;
  background: #555;
}

.list-view li.collapsed ul {
  display: none;
}

.list-view li.group-list-item {
  position: relative;
  background: #444;
}

.list-view li.group-list-item::before {
  position: absolute;
  top: 1em;
  right: 0.6rem;
  font-size: 0.6em;
  content: '▲';
  pointer-events: none; /* otherwise steals click.target from group-list-item */
}
.list-view li.group-list-item.collapsed::before {
  content: '▼';
  top: 1em;
}

.list-view span.list-item-prefix {
  color: var(--sidebar-text-color-secondary);
}

.list-view a.group-heading {
  display: inline-block;
  box-sizing: border-box;
  padding: 0.5em;
  width: 100%;

  color: var(--sidebar-text-color);
  background: #555;
  font-style: italic;
  text-decoration: none;
  cursor: pointer;
}
.list-view a.group-heading:hover {
  background: #999;
}

.list-view li.facet-list-item {
  position: relative;
  background: #444;
  border: 0;
}

.list-view li.facet-list-item:first-child {
  margin-top: 0.3em;
}
.list-view li.facet-list-item:last-child {
  padding-bottom: 0.5em;
}

.list-view li.facet-list-item::before {
  position: absolute;
  top: 1em;
  right: 0.6rem;
  font-size: 0.6em;
  content: '►';
  pointer-events: none; /* otherwise steals click.target from group-list-item */
}

.list-view a.facet-heading {
  display: inline-block;
  box-sizing: border-box;
  padding: 0.3em 0.3em 0.3em 0.8em;
  width: 100%;

  color: white;
  text-decoration: none;
  cursor: pointer;
}
.list-view a.facet-heading:hover {
  background: #999;
}

.list-view li span.facet-count {
  color: var(--sidebar-text-color-secondary);
}

.list-view li span.facet-count-indicator {
  margin-top: 2px;
  display: block;
  height: 3px;

  background: #006EEB;
  pointer-events: none; /* is part of clickable anchor */
}
.list-view li span.facet-count-indicator.unknown-count {
  width: 3px;

  background: var(--sidebar-text-color-secondary);
}

/* Controls */
.list-control {
  position: absolute;
  top: 0;
  right: 0;
  padding: 0.6rem;
  text-align: right;
}

.list-control .list-control-label {
  text-align: left;
  margin: 0;
  color: white;
}

.list-control button {
  font-size: 0.9em;
  color: white;
  background: #555;
  border-radius: 4px;
  border-style: outset;
  cursor: pointer;
}

.list-control button.active {
  background: black;
  border-style: inset;
}

.list-control button:hover {
  background: #999;
}
